Bug 486602 - only IPv6 nameservers in /etc/resolv.conf
only IPv6 nameservers in /etc/resolv.conf
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
10
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Schwab
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 516995
  Show dependency treegraph
 
Reported: 2009-02-20 10:36 EST by Oleg Ponomarev
Modified: 2009-11-22 14:33 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-22 14:33:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oleg Ponomarev 2009-02-20 10:36:59 EST
Description of problem: resolution does not work in F10-i386, when there are only IPv6 nameservers listed in /etc/resolv.conf


Version-Release number of selected component (if applicable): glibc-2.9-3.i686
not in x86_64, already fixed in glibc-2.9.90-2.i686

How reproducible:

$ cat /etc/resolv.conf
nameserver 2001:708:140:220::3
$ ping6 ipv6.google.com
unknown host

$ cat /etc/resolv.conf
nameserver 2001:708:140:220::3
nameserver 1.2.3.4 # just any IPv4 address
$ ping6 ipv6.google.com
PING ipv6.google.com(2001:4860:0:1001::68) 56 data bytes
Comment 1 Robert Moskowitz 2009-02-20 12:59:31 EST
I am running an all IPv6 environment, only a gateway system has an IPv4 address, and am adding a couple FC10 systems.

Please let me know when this is fixed in fedora10 updates so I can remove this rather backwards work around.
Comment 2 Sander Hoentjen 2009-04-22 04:55:08 EDT
I see the same problem on x86_64, With the default F10 install it was ok, but it broke after updates. F11-rawhide also has this same problem.
Comment 3 Detlef Graef 2009-04-22 13:29:07 EDT
I have the same problem on:

Linux robin.homeunix.net 2.6.27.21-170.2.56.fc10.x86_64 #1 SMP Mon Mar 23 23:08:10 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux

With the first install of Fedora 10 x86_64 it was ok, after some updates it doesn't work.

With this configuration it doesn't work:

[root@robin ~]# cat /etc/resolv.conf
# Generated by NetworkManager
search homeunix.net
nameserver 2a01:198:16::5253
nameserver 2001:4f8:0:2::14

With this configuration it works:

[root@robin ~]# cat /etc/resolv.conf
# Generated by NetworkManager
search homeunix.net
nameserver 2a01:198:16::5253
nameserver 2001:4f8:0:2::14
nameserver 192.168.1.1

The IPv6 nameserver is used:
(output from "tcpdump port 53")

19:20:09.829374 IP6 2a01:198:273:0:a09f:c789:2cf:36a6.42204 > 2a01:198:16::5253.domain: 395+[|domain]
19:20:09.888880 IP6 2a01:198:16::5253.domain > 2a01:198:273:0:a09f:c789:2cf:36a6.42204: 395 1/3/0 (107)
19:22:35.413096 IP6 2a01:198:273:0:a09f:c789:2cf:36a6.43344 > 2a01:198:16::5253.domain: 54495+[|domain]
19:22:35.476040 IP6 2a01:198:16::5253.domain > 2a01:198:273:0:a09f:c789:2cf:36a6.43344: 54495 0/1/0 (81)
19:22:35.476507 IP6 2a01:198:273:0:a09f:c789:2cf:36a6.50717 > 2a01:198:16::5253.domain: 45796+[|domain]
19:22:35.536079 IP6 2a01:198:16::5253.domain > 2a01:198:273:0:a09f:c789:2cf:36a6.50717: 45796 NXDomain[|domain]
19:22:35.536706 IP6 2a01:198:273:0:a09f:c789:2cf:36a6.50407 > 2a01:198:16::5253.domain: 59764+[|domain]
19:22:35.596228 IP6 2a01:198:16::5253.domain > 2a01:198:273:0:a09f:c789:2cf:36a6.50407: 59764 1/3/0 (107)
19:26:42.035846 IP6 2a01:198:273:0:a09f:c789:2cf:36a6.41821 > 2a01:198:16::5253.domain: 20835+[|domain]
19:26:42.113180 IP6 2a01:198:16::5253.domain > 2a01:198:273:0:a09f:c789:2cf:36a6.41821: 20835[|domain]
19:26:42.113390 IP6 2a01:198:273:0:a09f:c789:2cf:36a6.59995 > 2a01:198:16::5253.domain: 38190+[|domain]
19:26:42.188320 IP6 2a01:198:16::5253.domain > 2a01:198:273:0:a09f:c789:2cf:36a6.59995: 38190[|domain]
Comment 4 Peter Bieringer 2009-05-21 09:18:25 EDT
This bug hits me too,

F10 with all updates didn't work

# rpm -q glibc
glibc-2.9-3.i686

Upgrading to current glibc from rawhide solves this problem.

# rpm -q glibc
glibc-2.10.1-1.i686

Pls. port back to F10
Comment 5 Bug Zapper 2009-11-18 04:11:00 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Ulrich Drepper 2009-11-22 14:33:17 EST
Should be fixed in F12 and according to comment #4 also in F11.  I don't think F10 will get an update.  Just use any of the new releases.

Note You need to log in before you can comment on or make changes to this bug.